GET checks/metadata?enabled={enabled}&severity={severity}&include_tag_op={include_tag_op}
Gets the list of metadata for all the checks that are visible to you as a user or a customer depending on the request context. The result can be filtered by optional parameters.
URL Parameters
| Name | Description |
|---|---|
| include_tag | (Optional) The 'include_tag' parameter defines which checks to include in the response, by filtering on the check 'tags' (see the Filtering by Tags section in Remarks for details). |
| exclude_tag | (Optional) The 'exclude_tag' parameter defines which checks to exclude from the response, by filtering on the check 'tags' (see the Filtering by Tags section in Remarks for details). |
| enabled | (Optional) Determines which checks to include in the response. If true, only enabled checks will be included in the response. Type: boolean. Example: true. |
| severity | (Optional) Uses severity to select which check results to include in the response: 'I','W','E','F'. Type: string. Examples: "IEWF", "EF", "W". |
| include_tag_op | AND/OR mode for including tags. Allowed values: 'or', 'and'. Default value: 'or'. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Filtering by Tags
Checks can be filtered on the check 'tags', using tag 'key' and/or 'value'. Tilde '~' is used to indicate values. Multiple values are separated with semicolon ';'. Example: Environment~Dev;Prod (Key: 'Environment', Values: 'Dev' and 'Prod').You can provide the tag key only (all checks with that key) or only the value (all checks with that value in any key). Examples: Environment (key); ~Dev (value).
You can use the tag or key ID, by adding a '.' (period) before the ID. Examples: .4568~Prod (Tag key ID:'4568', value 'Prod'); Environment~.6985 (Tag key: 'Environment', value ID:'6985').
Returns
Returns the list of check's metadata.Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/metadata?enabled=true&severity=I&include_tag_op={"{"}include_tag_op{"}"}&auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
Check metadata
[
{
"id": 345665,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Test check",
"metadata": {
"created": {
"user_name": "user1",
"timestamp_utc": "2024-09-27T22:21:08"
},
"last_updated": {
"user_name": "user3",
"timestamp_utc": "2024-09-27T22:21:08"
}
}
},
{
"id": 12345,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check sample",
"metadata": {
"created": {
"user_name": "user2",
"timestamp_utc": "2024-09-27T22:21:08"
},
"last_updated": {
"user_name": "user2",
"timestamp_utc": "2024-09-27T22:21:08"
}
}
},
{
"id": 6789,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check #2",
"metadata": {
"created": {
"user_name": "user2",
"timestamp_utc": "2024-09-27T22:21:08"
},
"last_updated": {
"user_name": "user2",
"timestamp_utc": "2024-09-27T22:21:08"
}
}
}
]
| Name | Type | Description |
|---|---|---|
| id | Integer | The numeric identifier of the check. |
| guid | String | The GUID of the check. |
| name | String | The name of the check. |
| metadata | Object | The check metadata. |
| created | Object | The check creation info. |
| user_name | String | User name. |
| timestamp_utc | DateTime | Timestamp in UTC. |
| last_updated | Object | The check last update info. |
| user_name | String | User name. |
| timestamp_utc | DateTime | Timestamp in UTC. |